
QGIS Application - Bug report #20587

Decoration -> Scale Bar uses a misleading planimetric measurement

2018-11-22 08:21 AM - Max Muh

Status: Open

Priority: Normal

Assignee:

Category: Decorations

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28407

Description

The map scale is shown wrongly - 20m instead of 12,4m.
History

#1 - 2018-11-22 11:00 AM - Jürgen Fischer

- Subject changed from Maßstab wird falsch angezeigt to map scale not shown correctly

#2 - 2018-11-22 11:01 AM - Jürgen Fischer

- Description updated

#3 - 2018-11-22 11:02 AM - Jürgen Fischer

- Description updated

#4 - 2018-11-22 11:03 AM - Jürgen Fischer

- Description updated

#5 - 2018-11-29 06:49 PM - Borys Jurgiel

- Subject changed from map scale not shown correctly to Decoration -> Scale Bar uses a misleading planimetric measurement

Currently, the scale bar always show planimetric distance. Especially when working in EPSG:4326 and the scale bar is displayed in metres (see also

#14185), users may assume the measurement is ellipsoidal, what is not true.

#6 - 2018-11-29 07:26 PM - Borys Jurgiel

- Affected QGIS version changed from 3.4.0 to 3.5(master)

- Priority changed from Low to Normal
